Package org.wildfly.plugin.cli

## Class CommandConfiguration

- java.lang.Object
- - org.wildfly.plugin.cli.BaseCommandConfiguration
  - - org.wildfly.plugin.cli.CommandConfiguration

-     public class CommandConfiguration
      extends BaseCommandConfiguration

  The configuration used to execute CLI commands.
  Author:
    James R. Perkins

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `CommandConfiguration.AbstractBuilder<T extends CommandConfiguration.AbstractBuilder<T>>` |
    `static class` | `CommandConfiguration.Builder` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CommandConfiguration​(CommandConfiguration.AbstractBuilder<?> builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.jboss.as.controller.client.ModelControllerClient` | `getClient()` | Returns the management client.
    `org.jboss.as.controller.client.ModelControllerClientConfiguration` | `getClientConfiguration()` | Returns the management client configuration.
    `boolean` | `isAutoReload()` | Indicants if the server should be reloaded if the server is in the `reload-required` state and `isOffline()` is `false`.
    `boolean` | `isFork()` | Indicates whether or not CLI commands should be executed in a new process.
    `boolean` | `isOffline()` | Indicates whether or not this should be an offline process.
    `static CommandConfiguration.Builder` | `of​(Supplier<org.jboss.as.controller.client.ModelControllerClient> clientSupplier, Supplier<org.jboss.as.controller.client.ModelControllerClientConfiguration> clientConfigurationSupplier)` | Creates a new command configuration Builder.

    - ### Methods inherited from class org.wildfly.plugin.cli.BaseCommandConfiguration

      `getCLIArguments, getCommands, getJBossHome, getJvmOptions, getPropertiesFiles, getScripts, getStdout, getSystemProperties, getTimeout, isAppend, isBatch, isExpressionResolved, isFailOnError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandConfiguration

          protected CommandConfiguration​(CommandConfiguration.AbstractBuilder<?> builder)

  - ### Method Detail

    - #### of

          public static CommandConfiguration.Builder of​(Supplier<org.jboss.as.controller.client.ModelControllerClient> clientSupplier,
                                                        Supplier<org.jboss.as.controller.client.ModelControllerClientConfiguration> clientConfigurationSupplier)

      Creates a new command configuration Builder.
      Parameters:
        `clientSupplier` - the supplier used to get a management client
        `clientConfigurationSupplier` - a supplier used to get the client configuration
      Returns:
        a new command configuration Builder.

    - #### getClient

          public org.jboss.as.controller.client.ModelControllerClient getClient()

      Returns the management client.
      Returns:
        the management client

    - #### getClientConfiguration

          public org.jboss.as.controller.client.ModelControllerClientConfiguration getClientConfiguration()

      Returns the management client configuration.
      Returns:
        the management client configuration

    - #### isFork

          public boolean isFork()

      Indicates whether or not CLI commands should be executed in a new process.
      Returns:
        `true` to execute CLI commands in a new process

    - #### isOffline

          public boolean isOffline()

      Indicates whether or not this should be an offline process.
      Returns:
        `true` if this should be an offline process, otherwise `false`

    - #### isAutoReload

          public boolean isAutoReload()

      Indicants if the server should be reloaded if the server is in the `reload-required` state and `isOffline()` is `false`.
      Returns:
        `true` if a reload should execute if it's required, otherwise `false`